#88735 Report by node docker-deb-debian_8_jessie covering 1942 tests from 53 modules resulted into 3 errors

Report

ObsPy Version
1.1.0rc4
Continuous Integration
-
GitHub Pull Request
-
Report File
XML Document
Total Runtime
1067.3 sec
Report Date/Time
2017-10-16 22:00:25

System / Python

Architecture
64bit
Machine
x86_64
Node
docker-deb-debian_8_jessie
Processor
None
Python Compiler
GCC 4.9.1
Python Implementation
CPython
Python Version
3.4.2
Release
4.9.0-0.bpo.3-amd64
System
Linux
Version
#1 SMP Debian 4.9.25-1~bpo8+1 (2017-05-19)

Dependencies

cartopy
---
decorator
3.4.0
flake8
2.2.2
future
0.16.0
geographiclib
---
lxml.etree
3.4.0
m2crypto
---
matplotlib
1.4.2
mock
1.0.1
mpl_toolkits.basemap
---
numpy
1.8.2
pep8-naming
---
pyflakes
0.8.1
pyimgur
0.5.3
pyproj
1.8.9
requests
2.4.3
scipy
0.14.0
setuptools
5.5.1
shapefile
1.2.1
sqlalchemy
0.9.8

Modules (53)

Module Errors /
Failures
Tracebacks
obspy.clients.arclink - -
obspy.clients.earthworm - -
obspy.clients.fdsn - -
obspy.clients.filesystem - -
obspy.clients.iris - -
obspy.clients.neic - -
obspy.clients.nrl - -
obspy.clients.seedlink - -
obspy.clients.seishub 3 1 2 3
obspy.clients.syngine - -
obspy.core - -
obspy.db - -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah - -
obspy.io.arclink - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.sac - -
obspy.io.scardec - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.win - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal - -
obspy.taup - -
Summary 3 3

Tracebacks (3)

Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 2193, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.seishub.client.Client
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 87, in Client
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 110, in obspy.clients.seishub.client.Client
Failed example:
st = client.waveform.get_waveforms("BW", "RTBE", "", "EHZ", t, t + 20)
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.4/urllib/request.py", line 1174, in do_open
h.request(req.get_method(), req.selector, req.data, headers)
File "/usr/lib/python3.4/http/client.py", line 1090, in request
self._send_request(method, url, body, headers)
File "/usr/lib/python3.4/http/client.py", line 1128, in _send_request
self.endheaders(body)
File "/usr/lib/python3.4/http/client.py", line 1086, in endheaders
self._send_output(message_body)
File "/usr/lib/python3.4/http/client.py", line 924, in _send_output
self.send(msg)
File "/usr/lib/python3.4/http/client.py", line 859, in send
self.connect()
File "/usr/lib/python3.4/http/client.py", line 836, in connect
self.timeout, self.source_address)
File "/usr/lib/python3.4/socket.py", line 509, in create_connection
raise err
File "/usr/lib/python3.4/socket.py", line 500, in create_connection
sock.connect(sa)
socket.timeout: timed out
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 1324, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.client.Client[3]>", line 1, in <module>
st = client.waveform.get_waveforms("BW", "RTBE", "", "EHZ", t, t + 20)
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 504, in get_waveforms
data = self.client._fetch(url, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 218, in _fetch
response = urllib_request.urlopen(remoteaddr, timeout=self.timeout)
File "/usr/lib/python3.4/urllib/request.py", line 153, in urlopen
return opener.open(url, data, timeout)
File "/usr/lib/python3.4/urllib/request.py", line 455, in open
response = self._open(req, data)
File "/usr/lib/python3.4/urllib/request.py", line 473, in _open
'_open', req)
File "/usr/lib/python3.4/urllib/request.py", line 433, in _call_chain
result = func(*args)
File "/usr/lib/python3.4/urllib/request.py", line 1202, in http_open
return self.do_open(http.client.HTTPConnection, req)
File "/usr/lib/python3.4/urllib/request.py", line 1176, in do_open
raise URLError(err)
urllib.error.URLError: <urlopen error timed out>
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 111, in obspy.clients.seishub.client.Client
Failed example:
print(st) # doctest: +ELLIPSIS
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 1324, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.client.Client[4]>", line 1, in <module>
print(st) # doctest: +ELLIPSIS
NameError: name 'st' is not defined
Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 2193, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.seishub.__init__
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/__init__.py", line 1, in __init__
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/__init__.py", line 22, in obspy.clients.seishub.__init__
Failed example:
st = client.waveform.get_waveforms("BW", "MANZ", "", "EH*", t, t+20)
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.4/urllib/request.py", line 1174, in do_open
h.request(req.get_method(), req.selector, req.data, headers)
File "/usr/lib/python3.4/http/client.py", line 1090, in request
self._send_request(method, url, body, headers)
File "/usr/lib/python3.4/http/client.py", line 1128, in _send_request
self.endheaders(body)
File "/usr/lib/python3.4/http/client.py", line 1086, in endheaders
self._send_output(message_body)
File "/usr/lib/python3.4/http/client.py", line 924, in _send_output
self.send(msg)
File "/usr/lib/python3.4/http/client.py", line 859, in send
self.connect()
File "/usr/lib/python3.4/http/client.py", line 836, in connect
self.timeout, self.source_address)
File "/usr/lib/python3.4/socket.py", line 509, in create_connection
raise err
File "/usr/lib/python3.4/socket.py", line 500, in create_connection
sock.connect(sa)
socket.timeout: timed out
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 1324, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.__init__[4]>", line 1, in <module>
st = client.waveform.get_waveforms("BW", "MANZ", "", "EH*", t, t+20)
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 504, in get_waveforms
data = self.client._fetch(url, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 218, in _fetch
response = urllib_request.urlopen(remoteaddr, timeout=self.timeout)
File "/usr/lib/python3.4/urllib/request.py", line 153, in urlopen
return opener.open(url, data, timeout)
File "/usr/lib/python3.4/urllib/request.py", line 455, in open
response = self._open(req, data)
File "/usr/lib/python3.4/urllib/request.py", line 473, in _open
'_open', req)
File "/usr/lib/python3.4/urllib/request.py", line 433, in _call_chain
result = func(*args)
File "/usr/lib/python3.4/urllib/request.py", line 1202, in http_open
return self.do_open(http.client.HTTPConnection, req)
File "/usr/lib/python3.4/urllib/request.py", line 1176, in do_open
raise URLError(err)
urllib.error.URLError: <urlopen error timed out>
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/__init__.py", line 23, in obspy.clients.seishub.__init__
Failed example:
st.sort() # doctest: +ELLIPSIS
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 1324, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.__init__[5]>", line 1, in <module>
st.sort() # doctest: +ELLIPSIS
NameError: name 'st' is not defined
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/__init__.py", line 25, in obspy.clients.seishub.__init__
Failed example:
print(st) # doctest: +ELLIPSIS
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 1324, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.__init__[6]>", line 1, in <module>
print(st) # doctest: +ELLIPSIS
NameError: name 'st' is not defined
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/__init__.py", line 37, in obspy.clients.seishub.__init__
Failed example:
sta_ids = client.waveform.get_station_ids(network='BW')
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.4/urllib/request.py", line 1174, in do_open
h.request(req.get_method(), req.selector, req.data, headers)
File "/usr/lib/python3.4/http/client.py", line 1090, in request
self._send_request(method, url, body, headers)
File "/usr/lib/python3.4/http/client.py", line 1128, in _send_request
self.endheaders(body)
File "/usr/lib/python3.4/http/client.py", line 1086, in endheaders
self._send_output(message_body)
File "/usr/lib/python3.4/http/client.py", line 924, in _send_output
self.send(msg)
File "/usr/lib/python3.4/http/client.py", line 859, in send
self.connect()
File "/usr/lib/python3.4/http/client.py", line 836, in connect
self.timeout, self.source_address)
File "/usr/lib/python3.4/socket.py", line 509, in create_connection
raise err
File "/usr/lib/python3.4/socket.py", line 500, in create_connection
sock.connect(sa)
socket.timeout: timed out
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 1324, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.__init__[8]>", line 1, in <module>
sta_ids = client.waveform.get_station_ids(network='BW')
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 376, in get_station_ids
root = self.client._objectify(url, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 255, in _objectify
doc = self._fetch(url, *args, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 218, in _fetch
response = urllib_request.urlopen(remoteaddr, timeout=self.timeout)
File "/usr/lib/python3.4/urllib/request.py", line 153, in urlopen
return opener.open(url, data, timeout)
File "/usr/lib/python3.4/urllib/request.py", line 455, in open
response = self._open(req, data)
File "/usr/lib/python3.4/urllib/request.py", line 473, in _open
'_open', req)
File "/usr/lib/python3.4/urllib/request.py", line 433, in _call_chain
result = func(*args)
File "/usr/lib/python3.4/urllib/request.py", line 1202, in http_open
return self.do_open(http.client.HTTPConnection, req)
File "/usr/lib/python3.4/urllib/request.py", line 1176, in do_open
raise URLError(err)
urllib.error.URLError: <urlopen error timed out>
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/__init__.py", line 41, in obspy.clients.seishub.__init__
Failed example:
cha_ids = client.waveform.get_channel_ids(network='BW', station='MANZ')
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.4/urllib/request.py", line 1174, in do_open
h.request(req.get_method(), req.selector, req.data, headers)
File "/usr/lib/python3.4/http/client.py", line 1090, in request
self._send_request(method, url, body, headers)
File "/usr/lib/python3.4/http/client.py", line 1128, in _send_request
self.endheaders(body)
File "/usr/lib/python3.4/http/client.py", line 1086, in endheaders
self._send_output(message_body)
File "/usr/lib/python3.4/http/client.py", line 924, in _send_output
self.send(msg)
File "/usr/lib/python3.4/http/client.py", line 859, in send
self.connect()
File "/usr/lib/python3.4/http/client.py", line 836, in connect
self.timeout, self.source_address)
File "/usr/lib/python3.4/socket.py", line 509, in create_connection
raise err
File "/usr/lib/python3.4/socket.py", line 500, in create_connection
sock.connect(sa)
socket.timeout: timed out
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 1324, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.__init__[10]>", line 1, in <module>
cha_ids = client.waveform.get_channel_ids(network='BW', station='MANZ')
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 417, in get_channel_ids
root = self.client._objectify(url, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 255, in _objectify
doc = self._fetch(url, *args, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 218, in _fetch
response = urllib_request.urlopen(remoteaddr, timeout=self.timeout)
File "/usr/lib/python3.4/urllib/request.py", line 153, in urlopen
return opener.open(url, data, timeout)
File "/usr/lib/python3.4/urllib/request.py", line 455, in open
response = self._open(req, data)
File "/usr/lib/python3.4/urllib/request.py", line 473, in _open
'_open', req)
File "/usr/lib/python3.4/urllib/request.py", line 433, in _call_chain
result = func(*args)
File "/usr/lib/python3.4/urllib/request.py", line 1202, in http_open
return self.do_open(http.client.HTTPConnection, req)
File "/usr/lib/python3.4/urllib/request.py", line 1176, in do_open
raise URLError(err)
urllib.error.URLError: <urlopen error timed out>
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/__init__.py", line 42, in obspy.clients.seishub.__init__
Failed example:
sorted(cha_ids) # doctest: +NORMALIZE_WHITESPACE
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 1324, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.__init__[11]>", line 1, in <module>
sorted(cha_ids) # doctest: +NORMALIZE_WHITESPACE
NameError: name 'cha_ids' is not defined
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/__init__.py", line 46, in obspy.clients.seishub.__init__
Failed example:
paz = client.station.get_paz('BW.MANZ..EHZ', UTCDateTime('20090808'))
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.4/urllib/request.py", line 1174, in do_open
h.request(req.get_method(), req.selector, req.data, headers)
File "/usr/lib/python3.4/http/client.py", line 1090, in request
self._send_request(method, url, body, headers)
File "/usr/lib/python3.4/http/client.py", line 1128, in _send_request
self.endheaders(body)
File "/usr/lib/python3.4/http/client.py", line 1086, in endheaders
self._send_output(message_body)
File "/usr/lib/python3.4/http/client.py", line 924, in _send_output
self.send(msg)
File "/usr/lib/python3.4/http/client.py", line 859, in send
self.connect()
File "/usr/lib/python3.4/http/client.py", line 836, in connect
self.timeout, self.source_address)
File "/usr/lib/python3.4/socket.py", line 509, in create_connection
raise err
File "/usr/lib/python3.4/socket.py", line 500, in create_connection
sock.connect(sa)
socket.timeout: timed out
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 1324, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.__init__[12]>", line 1, in <module>
paz = client.station.get_paz('BW.MANZ..EHZ', UTCDateTime('20090808'))
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 745, in get_paz
datetime=datetime)
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 641, in get_list
root = self.client._objectify(url, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 255, in _objectify
doc = self._fetch(url, *args, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 218, in _fetch
response = urllib_request.urlopen(remoteaddr, timeout=self.timeout)
File "/usr/lib/python3.4/urllib/request.py", line 153, in urlopen
return opener.open(url, data, timeout)
File "/usr/lib/python3.4/urllib/request.py", line 455, in open
response = self._open(req, data)
File "/usr/lib/python3.4/urllib/request.py", line 473, in _open
'_open', req)
File "/usr/lib/python3.4/urllib/request.py", line 433, in _call_chain
result = func(*args)
File "/usr/lib/python3.4/urllib/request.py", line 1202, in http_open
return self.do_open(http.client.HTTPConnection, req)
File "/usr/lib/python3.4/urllib/request.py", line 1176, in do_open
raise URLError(err)
urllib.error.URLError: <urlopen error timed out>
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/__init__.py", line 47, in obspy.clients.seishub.__init__
Failed example:
paz = paz.items()
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 1324, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.__init__[13]>", line 1, in <module>
paz = paz.items()
NameError: name 'paz' is not defined
Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 2193, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.seishub.client._StationMapperClient.get_paz
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 704, in get_paz
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 721, in obspy.clients.seishub.client._StationMapperClient.get_paz
Failed example:
paz = c.station.get_paz('BW.MANZ..EHZ', '20090707')
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.4/urllib/request.py", line 1174, in do_open
h.request(req.get_method(), req.selector, req.data, headers)
File "/usr/lib/python3.4/http/client.py", line 1090, in request
self._send_request(method, url, body, headers)
File "/usr/lib/python3.4/http/client.py", line 1128, in _send_request
self.endheaders(body)
File "/usr/lib/python3.4/http/client.py", line 1086, in endheaders
self._send_output(message_body)
File "/usr/lib/python3.4/http/client.py", line 924, in _send_output
self.send(msg)
File "/usr/lib/python3.4/http/client.py", line 859, in send
self.connect()
File "/usr/lib/python3.4/http/client.py", line 836, in connect
self.timeout, self.source_address)
File "/usr/lib/python3.4/socket.py", line 509, in create_connection
raise err
File "/usr/lib/python3.4/socket.py", line 500, in create_connection
sock.connect(sa)
socket.timeout: timed out
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 1324, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.client._StationMapperClient.get_paz[1]>", line 1, in <module>
paz = c.station.get_paz('BW.MANZ..EHZ', '20090707')
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 745, in get_paz
datetime=datetime)
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 641, in get_list
root = self.client._objectify(url, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 255, in _objectify
doc = self._fetch(url, *args, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 218, in _fetch
response = urllib_request.urlopen(remoteaddr, timeout=self.timeout)
File "/usr/lib/python3.4/urllib/request.py", line 153, in urlopen
return opener.open(url, data, timeout)
File "/usr/lib/python3.4/urllib/request.py", line 455, in open
response = self._open(req, data)
File "/usr/lib/python3.4/urllib/request.py", line 473, in _open
'_open', req)
File "/usr/lib/python3.4/urllib/request.py", line 433, in _call_chain
result = func(*args)
File "/usr/lib/python3.4/urllib/request.py", line 1202, in http_open
return self.do_open(http.client.HTTPConnection, req)
File "/usr/lib/python3.4/urllib/request.py", line 1176, in do_open
raise URLError(err)
urllib.error.URLError: <urlopen error timed out>
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 722, in obspy.clients.seishub.client._StationMapperClient.get_paz
Failed example:
paz['zeros']
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 1324, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.client._StationMapperClient.get_paz[2]>", line 1, in <module>
paz['zeros']
NameError: name 'paz' is not defined
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 724, in obspy.clients.seishub.client._StationMapperClient.get_paz
Failed example:
len(paz['poles'])
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 1324, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.client._StationMapperClient.get_paz[3]>", line 1, in <module>
len(paz['poles'])
NameError: name 'paz' is not defined
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 726, in obspy.clients.seishub.client._StationMapperClient.get_paz
Failed example:
print(paz['poles'][0])
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 1324, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.client._StationMapperClient.get_paz[4]>", line 1, in <module>
print(paz['poles'][0])
NameError: name 'paz' is not defined
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 728, in obspy.clients.seishub.client._StationMapperClient.get_paz
Failed example:
paz['gain']
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 1324, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.client._StationMapperClient.get_paz[5]>", line 1, in <module>
paz['gain']
NameError: name 'paz' is not defined
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/seishub/client.py", line 730, in obspy.clients.seishub.client._StationMapperClient.get_paz
Failed example:
paz['sensitivity']
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 1324, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.client._StationMapperClient.get_paz[6]>", line 1, in <module>
paz['sensitivity']
NameError: name 'paz' is not defined

Skipped Tests (50)

Submodule Test Skip Message
core test_location_plot_global (obspy.core.tests.test_network.NetworkBasemapTestCase) basemap not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkBasemapTestCase) basemap not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkBasemapTestCase) basemap not installed
core test_location_plot_global (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogBasemapTestCase) basemap not installed
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogBasemapTestCase) basemap not installed
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogBasemapTestCase) basemap not installed
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogBasemapTestCase) basemap not installed
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_plot_farfield_without_quiver_with_maps (obspy.core.tests.test_event.EventTestCase) basemap not installed
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) Formatting tests require at least flake8 3.0.
core test_combined_station_event_plot (obspy.core.tests.test_inventory.InventoryBasemapTestCase) basemap not installed
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryBasemapTestCase) basemap not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryBasemapTestCase) basemap not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryBasemapTestCase) basemap not installed
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
clients.arclink test_m2crypto (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto is not installed
clients.arclink test_pycrypto (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) PyCrypto is not installed
imaging test_script_plot (obspy.imaging.tests.test_mopad_script.MopadTestCase) Currently broken until further review.
clients.seishub test_get_channel_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_coordinates (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_event_list (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_location_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_network_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_paz (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_preview (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_preview_by_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_station_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_waveform_with_metadata (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_waveforms (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_localcache (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_ping (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
taup test_path_geo (obspy.taup.tests.test_taup_geo.TaupGeoTestCase) Module geographiclib is not installed or too old.
taup test_path_resampling (obspy.taup.tests.test_taup_geo.TaupGeoTestCase) Module geographiclib is not installed or too old.
taup test_compute_ray_paths (obspy.taup.tests.test_ray_paths.RayPathCalculationsTestCase) test needs geographiclib >= 1.34
taup test_p_iasp91_geo_manual (obspy.taup.tests.test_tau.TauPyModelTestCase) Module geographiclib is not installed
taup test_pierce_p_iasp91_geo (obspy.taup.tests.test_tau.TauPyModelTestCase) test needs geographiclib >= 1.34
taup test_single_path_geo_iasp91 (obspy.taup.tests.test_tau.TauPyModelTestCase) test needs geographiclib >= 1.34
geodetics test_gps_2_dist_azimuth_with_geographiclib (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is not installed
geodetics test_issue_375 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is not installed
clients.seedlink test_info (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_issue708 (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_time_window (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually

Slowest Tests (20)

Runtime Test
320.338s __init__ (obspy.clients.seishub)
80.090s get_paz (obspy.clients.seishub.client._StationMapperClient)
80.082s Client (obspy.clients.seishub.client)
23.378s test_get_networks (obspy.clients.arclink.tests.test_client.ClientTestCase)
14.471s test_get_waveform_instrument_change (obspy.clients.arclink.tests.test_client.ClientTestCase)
12.670s test_ppsd_restricted_stacks (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
11.814s test_redirection_auth (obspy.clients.fdsn.tests.test_client.ClientTestCase)
11.251s test_dataselect_bulk (obspy.clients.fdsn.tests.test_client.ClientTestCase)
10.920s get_waveforms_bulk (obspy.clients.fdsn.client.Client)
10.639s test_get_waveform_nscl (obspy.clients.neic.tests.test_client.ClientTestCase)
10.296s test_get_inventory (obspy.clients.arclink.tests.test_client.ClientTestCase)
10.021s test_redirection (obspy.clients.fdsn.tests.test_client.ClientTestCase)
9.484s test_evalresp (obspy.clients.iris.tests.test_client.ClientTestCase)
9.277s test_get_waveform_with_metadata (obspy.clients.arclink.tests.test_client.ClientTestCase)
8.871s test_get_routing (obspy.clients.arclink.tests.test_client.ClientTestCase)
8.472s __init__ (obspy.taup)
8.091s test_get_stations (obspy.clients.arclink.tests.test_client.ClientTestCase)
6.989s __init__ (obspy.clients.fdsn)
6.967s test_iris_example_queries_dataselect (obspy.clients.fdsn.tests.test_client.ClientTestCase)
6.718s test_response_calculation_from_seed_and_xseed (obspy.io.xseed.tests.test_core.CoreTestCase)

Chuck Norris Fact

Chuck Norris never has to build his program to machine code. Machines have learnt to interpret Chuck Norris code.